org.wildfly.swarm.config.messaging.activemq.server

## Enum AddressSetting.AddressFullPolicy

- java.lang.Object
- - java.lang.Enum<AddressSetting.AddressFullPolicy>
  - - org.wildfly.swarm.config.messaging.activemq.server.AddressSetting.AddressFullPolicy

- All Implemented Interfaces:
    Serializable, Comparable<AddressSetting.AddressFullPolicy>
  Enclosing class:
    AddressSetting<T extends AddressSetting<T>>

      public static enum AddressSetting.AddressFullPolicy
      extends Enum<AddressSetting.AddressFullPolicy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLOCK`
    `DROP`
    `FAIL`
    `PAGE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAllowedValue()` Returns the allowed value for the management model.
    `String` | `toString()`
    `static AddressSetting.AddressFullPolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AddressSetting.AddressFullPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DROP

          public static final AddressSetting.AddressFullPolicy DROP

    - #### PAGE

          public static final AddressSetting.AddressFullPolicy PAGE

    - #### BLOCK

          public static final AddressSetting.AddressFullPolicy BLOCK

    - #### FAIL

          public static final AddressSetting.AddressFullPolicy FAIL

  - ### Method Detail

    - #### values

          public static AddressSetting.AddressFullPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AddressSetting.AddressFullPolicy c : AddressSetting.AddressFullPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AddressSetting.AddressFullPolicy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getAllowedValue

          public String getAllowedValue()

      Returns the allowed value for the management model.
      Returns:
        the allowed model value

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<AddressSetting.AddressFullPolicy>`

Copyright © 2018 JBoss by Red Hat. All rights reserved.